DefaultCellEditor.EditorDelegate (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing, class: DefaultCellEditor, class: EditorDelegate
Keywords: javax.swing.DefaultCellEditor.EditorDelegate class

# Class DefaultCellEditor.EditorDelegate

java.lang.Object
javax.swing.DefaultCellEditor.EditorDelegate

All Implemented Interfaces:
  `ActionListener, ItemListener, Serializable, EventListener`

Enclosing class:
  `DefaultCellEditor`

protected class DefaultCellEditor.EditorDelegate extends Object implements ActionListener, ItemListener, Serializable
The protected `EditorDelegate` class.

Since:
  1.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Object`
  `value`
  The value of this cell.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `EditorDelegate()`
  Constructs an `EditorDelegate`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionEvent e)`
  When an action is performed, editing is ended.
  `void`
  `cancelCellEditing()`
  Cancels editing.
  `Object`
  `getCellEditorValue()`
  Returns the value of this cell.
  `boolean`
  `isCellEditable(EventObject anEvent)`
  Returns true if `anEvent` is not a `MouseEvent`.
  `void`
  `itemStateChanged(ItemEvent e)`
  When an item's state changes, editing is ended.
  `void`
  `setValue(Object value)`
  Sets the value of this cell.
  `boolean`
  `shouldSelectCell(EventObject anEvent)`
  Returns true to indicate that the editing cell may be selected.
  `boolean`
  `startCellEditing(EventObject anEvent)`
  Returns true to indicate that editing has begun.
  `boolean`
  `stopCellEditing()`
  Stops editing and returns true to indicate that editing has stopped.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### value

    protected Object value
    The value of this cell.

- ## Constructor Details

  - ### EditorDelegate

    protected EditorDelegate()
    Constructs an `EditorDelegate`.

- ## Method Details

  - ### getCellEditorValue

    public Object getCellEditorValue()
    Returns the value of this cell.
    Returns:
      the value of this cell

  - ### setValue

    public void setValue(Object value)
    Sets the value of this cell.
    Parameters:
      `value` - the new value of this cell

  - ### isCellEditable

    public boolean isCellEditable(EventObject anEvent)
    Returns true if `anEvent` is not a `MouseEvent`. Otherwise, it returns true if the necessary number of clicks have occurred, and returns false otherwise.
    Parameters:
      `anEvent` - the event
    Returns:
      true if cell is ready for editing, false otherwise
    See Also:
      - `DefaultCellEditor.setClickCountToStart(int)`
      - `shouldSelectCell(EventObject)`

  - ### shouldSelectCell

    public boolean shouldSelectCell(EventObject anEvent)
    Returns true to indicate that the editing cell may be selected.
    Parameters:
      `anEvent` - the event
    Returns:
      true
    See Also:
      - `isCellEditable(EventObject)`

  - ### startCellEditing

    public boolean startCellEditing(EventObject anEvent)
    Returns true to indicate that editing has begun.
    Parameters:
      `anEvent` - the event
    Returns:
      true to indicate editing has begun

  - ### stopCellEditing

    public boolean stopCellEditing()
    Stops editing and returns true to indicate that editing has stopped. This method calls `fireEditingStopped`.
    Returns:
      true

  - ### cancelCellEditing

    public void cancelCellEditing()
    Cancels editing. This method calls `fireEditingCanceled`.

  - ### actionPerformed

    public void actionPerformed(ActionEvent e)
    When an action is performed, editing is ended.
    Specified by:
      `actionPerformed` in interface `ActionListener`
    Parameters:
      `e` - the action event
    See Also:
      - `stopCellEditing()`

  - ### itemStateChanged

    public void itemStateChanged(ItemEvent e)
    When an item's state changes, editing is ended.
    Specified by:
      `itemStateChanged` in interface `ItemListener`
    Parameters:
      `e` - the action event
    See Also:
      - `stopCellEditing()`